
%if 0

lDebug INSTALL commands

Copyright (C) 2008-2022 C. Masloch

Usage of the works is permitted provided that this
instrument is retained with the works, so that any entity
that uses the works is notified of this instrument.

DISCLAIMER: THE WORKS ARE WITHOUT WARRANTY.

%endif


uninstall:
	mov cx, install.clear
	jmp install.common

install:
	mov cx, .set

.common:
	call skipwhite
	push si
.loopcheck:
	dec si
	call checkinstallflag
	call skipcomma
	call iseol?
	jne .loopcheck

	pop si
.loopdo:
	dec si
	call checkinstallflag
	mov dx, word [bx + 2]
	mov di, word [bx + 4]
	mov ax, word [bx + 6]
	call cx
	call skipcomma
	call iseol?
	jne .loopdo
	retn


.set:
	test word [di], ax
	jnz @F
	or word [di], ax
	call putsz
	mov dx, msg.tryenable
	jmp .putsz

@@:
	call putsz
	mov dx, msg.alreadyenabled
.putsz:
	jmp putsz


.clear:
	test word [di], ax
	jz @F
	not ax
	and word [di], ax
	call putsz
	mov dx, msg.trydisable
	jmp .putsz

@@:
	call putsz
	mov dx, msg.alreadydisabled
	jmp .putsz


checkinstallflag:
	mov bx, installflags
@@:
	mov dx, word [bx]
	test dx, dx
	jz .error
	call isstring?
	je @F
	add bx, 8
	jmp @B

@@:
	retn

.error:
	jmp error
